Skip to main content
GET
/
api
/
v1
/
contexts
/
{context_id}
/
history
List Context History
curl --request GET \
  --url https://api.example.com/api/v1/contexts/{context_id}/history \
  --header 'Authorization: Basic <encoded-value>'
{
  "items": [
    {
      "data": {
        "artifactId": "<string>",
        "parts": [
          {
            "text": "<string>",
            "kind": "text",
            "metadata": {}
          }
        ],
        "description": "<string>",
        "extensions": [
          "<string>"
        ],
        "metadata": {},
        "name": "<string>"
      },
      "context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "kind": "message",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "next_page_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "has_more": false
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

context_id
string<uuid>
required

Query Parameters

limit
integer
Required range: 1 <= x <= 100
page_token
string<uuid> | null
order
string
Pattern: ^(asc|desc)$
order_by
string
Pattern: ^created_at|updated_at$

Response

Successful Response

items
ContextHistoryItem · object[]
required
total_count
integer
required
next_page_token
string<uuid> | null
required
has_more
boolean
default:false